Package org.bukkit

# Enum Class FireworkEffect.Type

java.lang.Object
java.lang.Enum<FireworkEffect.Type>
org.bukkit.FireworkEffect.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<FireworkEffect.Type>`, `Constable`, `Translatable`

Enclosing class:
  FireworkEffect

public static enum FireworkEffect.Type extends Enum<FireworkEffect.Type> implements Translatable
The type or shape of the effect.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BALL`
A small ball effect.
`BALL_LARGE`
A large ball effect.
`BURST`
A burst effect.
`CREEPER`
A creeper-face effect.
`STAR`
A star-shaped effect.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Index<String,FireworkEffect.Type>`
`NAMES`
The name map.

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`translationKey()`
Gets the translation key.
`static FireworkEffect.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FireworkEffect.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BALL

public static final FireworkEffect.Type BALL
A small ball effect.

### BALL_LARGE

public static final FireworkEffect.Type BALL_LARGE
A large ball effect.

### STAR

public static final FireworkEffect.Type STAR
A star-shaped effect.

### BURST

public static final FireworkEffect.Type BURST
A burst effect.

### CREEPER

public static final FireworkEffect.Type CREEPER
A creeper-face effect.

## Field Details

### NAMES

public static final Index<String,FireworkEffect.Type> NAMES
The name map.

## Method Details

### values

public static FireworkEffect.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FireworkEffect.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### translationKey

@NotNull public @NotNull String translationKey()
Description copied from interface: `net.kyori.adventure.translation.Translatable`
Gets the translation key.

Specified by:
  `translationKey` in interface `Translatable`
Returns:
  the translation key